Subject: Re: [DNSOP] draft-iab-idn-encoding-00

From: Alfred Hönes <[email-masked]>
Date: Tue, 13 Oct 2009 01:11:19 +0200 (MESZ)

[[  Sorry for cross-posting.  ]]

All,
in July the IAB has posted an I-D on "IAB Thoughts on Encodings
for Internationalized Domain Names", draft-iab-idn-encoding-00,
and solicited feedback.

That draft is closely related to the DNS related WGs as well.
After very quickly skimming over that memo, it looks like the
description of DNS labels and the resulting restrictions is
incomplete in several respect, for instance:

-  No distinction is made between the 'normal' labels from STD 13
   and other label types (currently there aren't other label types
   supported by active standards, but the future might change that).

-  No mention is made of case-insensitive treatment of DNS labels
   of standard type in resolvers and authorities.

-  No mention is made of the 0x20 hack, the deployment of which
   (be it standardized or not) will prohibit future deviation
   from the ASCII-only case-insensitive label regime we have,
   e.g. when potentially allowing full UTF-8 or UTF-16.

-  The impact of potential normalization needs (as an extension
   of case-insensitive comparison of ASCII labels to Unicode)
   of authoritative server and recursive resolver behavior
   is not discussed.

I got the impression that the DNS related text in this IAB draft
might deserve detailed review from DNS experts -- both on dnsop
and namedroppers, but I have not found any discussion on that memo.

Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 12 Oct 2009 19:15:52 -0400

> and namedroppers, but I have not found any discussion on that memo.

It certainly can use review.  I am informed by someone who ought to
know that -01 is near to release, so if you haven't looked at -00 and
want to comment (and I urge you to do so), I counsel waiting until -01
is out.

A

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.